
QGIS Application - Bug report #13887

Project not considered dirty when it has no layers

2015-11-26 03:27 PM - Sebastian Dietrich

Status: Closed

Priority: Normal

Assignee:

Category: Project Loading/Saving

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 21909

Description

When a project has no layers in it, it is never considered dirty, e.g. the user is not asked to save the changes when exiting QGIS.

History

#1 - 2015-11-26 03:32 PM - Sebastian Dietrich

To reproduce:

    -  Create a new project

    -  Edit some project attributes, e.g. the title, a project variable, a default marker, ...

    -  Exit QGIS

You are not asked whether you want to save the changes.

#2 - 2015-11-26 03:33 PM - Sebastian Dietrich

To reproduce in a weird way:

    -  Load a project with some layers

    -  Delete all layers

    -  Exit QGIS

You are not asked whether you want to save the changes.

#3 - 2016-01-08 07:26 AM - Sebastian Dietrich

- % Done changed from 0 to 50

- Assignee set to Sebastian Dietrich

- Target version set to Future Release - Nice to have

#4 - 2016-01-08 07:33 AM - Sebastian Dietrich

- Target version deleted (Future Release - Nice to have)

- % Done changed from 50 to 0

- Assignee deleted (Sebastian Dietrich)

#5 - 2016-05-24 01:53 PM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from Yes to No

#6 - 2017-05-01 01:06 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No
#7 - 2019-03-09 04:09 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
